Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction
Interface TransactionSynchronizationRegistry

    public interface TransactionSynchronizationRegistry

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Wed, 25 Oct 2006) $

Method Summary
`java.lang.Object` | `getResource(java.lang.Object key)`
`boolean` | `getRollbackOnly()`
`java.lang.Object` | `getTransactionKey()`
`int` | `getTransactionStatus()`
`void` | `putResource(java.lang.Object key, java.lang.Object value)`
`void` | `registerInterposedSynchronization(Synchronization sync)`
`void` | `setRollbackOnly()`

Method Detail

### getResource

    java.lang.Object getResource(java.lang.Object key)

### getRollbackOnly

    boolean getRollbackOnly()

### getTransactionKey

    java.lang.Object getTransactionKey()

### getTransactionStatus

    int getTransactionStatus()

### putResource

    void putResource(java.lang.Object key,
                     java.lang.Object value)

### registerInterposedSynchronization

    void registerInterposedSynchronization(Synchronization sync)

### setRollbackOnly

    void setRollbackOnly()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.